{% load i18n medux %}
<div class="card">
  <div class="card-header">
    <div>
      <h3 class="card-title">{% translate 'Absences' %}</h3>
      <p class="card-subtitle">{{ from_date|date:"SHORT_DATE_FORMAT" }} - {{ to_date|date:"SHORT_DATE_FORMAT" }}</p>
    </div>
  </div>
  <div class="table-responsive">
    <table class="table align-middle">
      <thead>
      <tr>
        <th>{% translate 'Type' %}</th>
        <th>{% translate 'max/year' %}</th>
        <th>{% translate 'Consumed' %}</th>
        <th>{% translate 'Remaining' %}</th>
        <th></th>
      </tr>
      </thead>
      <tbody>
      {% for absence_type in absence_types %}
        <tr>
          <td>
            {{ absence_type.type }}
            {% if absence_type.contingent %}
              <div class="progress">
                <div class="progress-bar" style="width: {{ absences.training.percent }}%" role="progressbar" aria-valuenow="{{ absence_type.balance }}" aria-valuemin="0" aria-valuemax="{{ absence_type.contingent }}">
                  <span class="visually-hidden">{{ absence_type.balance }}</span>
                </div>
              </div>
            {% endif %}
          </td>

          <td><span class="btn btn-action cursor-default" title="{% translate 'Holiday contingent since:'%} {{ absence_type.contingent_since }}">{{ absence_type.contingent }}</span></td>

          <td>{{ absence_type.consumed }}</td>

          <td>{{ absence_type.balance|prefix_plus }}</td>

          <td class="text-end">
            {% with label=absence_type.type.label %}
              <button
                  class="btn btn-action"
                  hx-get="{% url 'timetracker:absence:add' absence_type=absence_type.type.uuid %}"
                  hx-target="#dialog"
                  title="{% blocktranslate %}Request {{ label }}{% endblocktranslate %}"
              ><i class="bi bi-plus-lg"></i></button></td>
            {% endwith %}
        </tr>
      {% endfor %}

    </table>
  </div>
</div>